Name:        meslo-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     Apache-2.0
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Meslo.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 MesloLGLDZNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFont-BoldItalic.ttf
install -Dm644 MesloLGLDZNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontMono-BoldItalic.ttf
install -Dm644 MesloLGLDZNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontPropo-BoldItalic.ttf
install -Dm644 MesloLGLDZNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFont-Bold.ttf
install -Dm644 MesloLGLDZNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontMono-Bold.ttf
install -Dm644 MesloLGLDZNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontPropo-Bold.ttf
install -Dm644 MesloLGLDZNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFont-Italic.ttf
install -Dm644 MesloLGLDZNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontMono-Italic.ttf
install -Dm644 MesloLGLDZNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontPropo-Italic.ttf
install -Dm644 MesloLGLDZNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFont-Regular.ttf
install -Dm644 MesloLGLDZNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontMono-Regular.ttf
install -Dm644 MesloLGLDZNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontPropo-Regular.ttf
install -Dm644 MesloLGLNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFont-BoldItalic.ttf
install -Dm644 MesloLGLNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFontMono-BoldItalic.ttf
install -Dm644 MesloLGLNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFontPropo-BoldItalic.ttf
install -Dm644 MesloLGLNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFont-Bold.ttf
install -Dm644 MesloLGLNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFontMono-Bold.ttf
install -Dm644 MesloLGLNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFontPropo-Bold.ttf
install -Dm644 MesloLGLNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFont-Italic.ttf
install -Dm644 MesloLGLNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFontMono-Italic.ttf
install -Dm644 MesloLGLNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFontPropo-Italic.ttf
install -Dm644 MesloLGLNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFont-Regular.ttf
install -Dm644 MesloLGLNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFontMono-Regular.ttf
install -Dm644 MesloLGLNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGLNerdFontPropo-Regular.ttf
install -Dm644 MesloLGMDZNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFont-BoldItalic.ttf
install -Dm644 MesloLGMDZNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontMono-BoldItalic.ttf
install -Dm644 MesloLGMDZNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontPropo-BoldItalic.ttf
install -Dm644 MesloLGMDZNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFont-Bold.ttf
install -Dm644 MesloLGMDZNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontMono-Bold.ttf
install -Dm644 MesloLGMDZNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontPropo-Bold.ttf
install -Dm644 MesloLGMDZNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFont-Italic.ttf
install -Dm644 MesloLGMDZNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontMono-Italic.ttf
install -Dm644 MesloLGMDZNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontPropo-Italic.ttf
install -Dm644 MesloLGMDZNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFont-Regular.ttf
install -Dm644 MesloLGMDZNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontMono-Regular.ttf
install -Dm644 MesloLGMDZNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontPropo-Regular.ttf
install -Dm644 MesloLGMNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFont-BoldItalic.ttf
install -Dm644 MesloLGMNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFontMono-BoldItalic.ttf
install -Dm644 MesloLGMNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFontPropo-BoldItalic.ttf
install -Dm644 MesloLGMNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFont-Bold.ttf
install -Dm644 MesloLGMNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFontMono-Bold.ttf
install -Dm644 MesloLGMNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFontPropo-Bold.ttf
install -Dm644 MesloLGMNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFont-Italic.ttf
install -Dm644 MesloLGMNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFontMono-Italic.ttf
install -Dm644 MesloLGMNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFontPropo-Italic.ttf
install -Dm644 MesloLGMNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFont-Regular.ttf
install -Dm644 MesloLGMNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFontMono-Regular.ttf
install -Dm644 MesloLGMNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGMNerdFontPropo-Regular.ttf
install -Dm644 MesloLGSDZNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFont-BoldItalic.ttf
install -Dm644 MesloLGSDZNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontMono-BoldItalic.ttf
install -Dm644 MesloLGSDZNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontPropo-BoldItalic.ttf
install -Dm644 MesloLGSDZNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFont-Bold.ttf
install -Dm644 MesloLGSDZNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontMono-Bold.ttf
install -Dm644 MesloLGSDZNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontPropo-Bold.ttf
install -Dm644 MesloLGSDZNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFont-Italic.ttf
install -Dm644 MesloLGSDZNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontMono-Italic.ttf
install -Dm644 MesloLGSDZNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontPropo-Italic.ttf
install -Dm644 MesloLGSDZNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFont-Regular.ttf
install -Dm644 MesloLGSDZNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontMono-Regular.ttf
install -Dm644 MesloLGSDZNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontPropo-Regular.ttf
install -Dm644 MesloLGSNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFont-BoldItalic.ttf
install -Dm644 MesloLGSNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFontMono-BoldItalic.ttf
install -Dm644 MesloLGSNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFontPropo-BoldItalic.ttf
install -Dm644 MesloLGSNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFont-Bold.ttf
install -Dm644 MesloLGSNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFontMono-Bold.ttf
install -Dm644 MesloLGSNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFontPropo-Bold.ttf
install -Dm644 MesloLGSNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFont-Italic.ttf
install -Dm644 MesloLGSNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFontMono-Italic.ttf
install -Dm644 MesloLGSNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFontPropo-Italic.ttf
install -Dm644 MesloLGSNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFont-Regular.ttf
install -Dm644 MesloLGSNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFontMono-Regular.ttf
install -Dm644 MesloLGSNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MesloLGSNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/MesloLGLDZNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGLDZNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGLDZNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGLDZNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGLDZNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGLNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGMDZNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGMNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGSDZNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/MesloLGSNerdFontPropo-Regular.ttf
%license LICENSE.txt
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
